DelegationTokenIdentifier (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.security.token.delegation
Class DelegationTokenIdentifier

    java.lang.Object
      org.apache.hadoop.security.token.TokenIdentifier
          org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier
              org.apache.hadoop.mapreduce.security.token.delegation.DelegationTokenIdentifier

All Implemented Interfaces:
  Writable

    public class DelegationTokenIdentifier

extends AbstractDelegationTokenIdentifier

A delegation token identifier that is specific to MapReduce.

Field Summary
`static Text` | `MAPREDUCE_DELEGATION_KIND`

Constructor Summary
`DelegationTokenIdentifier()` Create an empty delegation token identifier for reading into.
`DelegationTokenIdentifier(Text owner, Text renewer, Text realUser)` Create a new delegation token identifier

Method Summary
`Text` | `getKind()` Get the token kind

Methods inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier
`equals, getIssueDate, getMasterKeyId, getMaxDate, getRenewer, getSequenceNumber, getUser, hashCode, readFields, setIssueDate, setMasterKeyId, setMaxDate, setSequenceNumber, toString, write`

Methods inherited from class org.apache.hadoop.security.token.TokenIdentifier
`getBytes`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAPREDUCE_DELEGATION_KIND

    public static final Text MAPREDUCE_DELEGATION_KIND

Constructor Detail

### DelegationTokenIdentifier

    public DelegationTokenIdentifier()

  Create an empty delegation token identifier for reading into.

### DelegationTokenIdentifier

    public DelegationTokenIdentifier(Text owner,
                                     Text renewer,
                                     Text realUser)

  Create a new delegation token identifier

  Parameters:
    `owner` - the effective username of the token owner
    `renewer` - the username of the renewer
    `realUser` - the real username of the token owner

Method Detail

### getKind

    public Text getKind()

  Description copied from class: `TokenIdentifier`
  Get the token kind

  Specified by:
    `getKind` in class `AbstractDelegationTokenIdentifier`
  Returns:
    the kind of the token

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation